*** a/doc/src/sgml/ref/analyze.sgml
--- b/doc/src/sgml/ref/analyze.sgml
***************
*** 26,33 **** ANALYZE [ VERBOSE ] [ <replaceable class="parameter">table_and_columns</replacea
  
  <phrase>where <replaceable class="parameter">option</replaceable> can be one of:</phrase>
  
!     VERBOSE
!     SKIP_LOCKED
  
  <phrase>and <replaceable class="parameter">table_and_columns</replaceable> is:</phrase>
  
--- 26,33 ----
  
  <phrase>where <replaceable class="parameter">option</replaceable> can be one of:</phrase>
  
!     VERBOSE [ <replaceable class="parameter">boolean</replaceable> ]
!     SKIP_LOCKED [ <replaceable class="parameter">boolean</replaceable> ]
  
  <phrase>and <replaceable class="parameter">table_and_columns</replaceable> is:</phrase>
  
***************
*** 95,100 **** ANALYZE [ VERBOSE ] [ <replaceable class="parameter">table_and_columns</replacea
--- 95,114 ----
      </listitem>
     </varlistentry>
  
+    <varlistentry>
+     <term><replaceable class="parameter">boolean</replaceable></term>
+     <listitem>
+      <para>
+       Specifies whether the selected option should be turned on or off.
+       You can write <literal>TRUE</literal>, <literal>ON</literal>, or
+       <literal>1</literal> to enable the option, and <literal>FALSE</literal>,
+       <literal>OFF</literal>, or <literal>0</literal> to disable it.  The
+       <replaceable class="parameter">boolean</replaceable> value can also
+       be omitted, in which case <literal>TRUE</literal> is assumed.
+      </para>
+     </listitem>
+    </varlistentry>
+ 
     <varlistentry>
      <term><replaceable class="parameter">table_name</replaceable></term>
      <listitem>
*** a/doc/src/sgml/release-12.sgml
--- b/doc/src/sgml/release-12.sgml
***************
*** 2015,2022 **** Author: Robert Haas <rhaas@postgresql.org>
  -->
  
        <para>
!        Allow <command>VACUUM</command> to take optional boolean argument
!        specifications (Masahiko Sawada)
        </para>
       </listitem>
  
--- 2015,2022 ----
  -->
  
        <para>
!        Allow <command>VACUUM</command> and <command>ANALYZE</command>
!        to take optional boolean argument specifications (Masahiko Sawada)
        </para>
       </listitem>
  
*** a/src/bin/psql/tab-complete.c
--- b/src/bin/psql/tab-complete.c
***************
*** 2101,2106 **** psql_completion(const char *text, int start, int end)
--- 2101,2108 ----
  		 */
  		if (ends_with(prev_wd, '(') || ends_with(prev_wd, ','))
  			COMPLETE_WITH("VERBOSE", "SKIP_LOCKED");
+ 		else if (TailMatches("VERBOSE|SKIP_LOCKED"))
+ 			COMPLETE_WITH("ON", "OFF");
  	}
  	else if (HeadMatches("ANALYZE") && TailMatches("("))
  		/* "ANALYZE (" should be caught above, so assume we want columns */
